VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::vapi::metadata::metamodel::Type::Category Class Reference

The `Type.Category` enumerated type provides enumeration value for each category of the type. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, BUILTIN, USER_DEFINED, GENERIC }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static Category[] | GetValues ()
static Category | ValueOf (string name)
## Static Public Attributes
static readonly Category | BUILTIN = new Category("BUILTIN", Values.BUILTIN)
| The type is one of the built-in types specified in Type.BuiltinType
static readonly Category | USER_DEFINED = new Category("USER_DEFINED", Values.USER_DEFINED)
| The type is one of the user defined named types.
static readonly Category | GENERIC = new Category("GENERIC", Values.GENERIC)
| The type is an instantiation of one of the generic types.

## Detailed Description

The `Type.Category` enumerated type provides enumeration value for each category of the type.

## Member Enumeration Documentation

enum vmware::vapi::metadata::metamodel::Type::Category::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  BUILTIN | The type is one of the built-in types specified in Type.BuiltinType
  USER_DEFINED | The type is one of the user defined named types.
  GENERIC | The type is an instantiation of one of the generic types.

## Member Function Documentation

Values vmware::vapi::metadata::metamodel::Type::Category::GetEnumValue | ( |  | ) | `[inline]`

static Category [] vmware::vapi::metadata::metamodel::Type::Category::GetValues | ( |  | ) | `[inline, static]`

bool vmware::vapi::metadata::metamodel::Type::Category::IsUnknown | ( |  | ) | `[inline]`

static Category vmware::vapi::metadata::metamodel::Type::Category::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly Category vmware::vapi::metadata::metamodel::Type::Category::BUILTIN = new Category("BUILTIN", Values.BUILTIN)`[static]`

The type is one of the built-in types specified in Type.BuiltinType

readonly Category vmware::vapi::metadata::metamodel::Type::Category::GENERIC = new Category("GENERIC", Values.GENERIC)`[static]`

The type is an instantiation of one of the generic types.

readonly Category vmware::vapi::metadata::metamodel::Type::Category::USER_DEFINED = new Category("USER_DEFINED", Values.USER_DEFINED)`[static]`

The type is one of the user defined named types.

The documentation for this class was generated from the following file:

- vapi/metadata/metamodel/Type.cs